/*
 * (c) WebWorkBench LLC 2021
 */

jQuery(document).ready(function ($) {

    $.each(directory_index_guard_pointers, function (index, pointer) {
        $(pointer.target)
        .pointer({
            content: pointer.content,
            pointerWidth: pointer.width,
            position: {
                edge: pointer.edge,
                align: pointer.align,
            },
            close: function () {
                $.post({
                    url: pointer.ajaxurl,
                    data: {
                        subaction: pointer.subaction
                    },
                })
            },
        })
        .pointer('open');
    });
});
